/**
 * Generates a unique id
 *
 * @param id external ID provided by consumer/user.
 * @param prefix prefix to append before the id
 */
declare var useId: (id: any, prefix: any) => import("vue").ComputedRef<any>;
/**
 * Hook to generate ids for use in compound components
 *
 * @param id the external id passed from the user
 * @param prefixes array of prefixes to use
 */
declare function useIds(id: any): import("vue").ComputedRef<string>[];
/**
 * Much of this has ben adopted from the cgood folks at @vueuse/core
 */
declare function useEventListener(): () => void;
declare function useWindowEvent(type: any, listener: any, options: any): void;
declare var StackMessage: any;
declare function useStackContext(): () => void;
declare function useElementStack(element: any): void;
declare function useStackProvider(onUpdate: any): void;
declare function useClipboard(_ref: any): {
    copy: (_x: any) => any;
    text: import("vue").Ref<string>;
    copied: import("vue").Ref<boolean>;
};
/**
 * Handles common open, close, or toggle scenarios.
 *
 * It can be used to control feedback components such as `Modal`, `AlertDialog`, `Drawer`, etc.
 */
declare function useDisclosure(props: any): {
    isOpen: any;
    open: () => void;
    close: () => void;
    toggle: () => void;
    isControlled: boolean;
    buttonProps: import("vue").ComputedRef<{
        "aria-expanded": any;
        "aria-controls": any;
        onClick: () => void;
    }>;
    disclosureProps: import("vue").ComputedRef<{
        hidden: boolean;
        id: any;
    }>;
};
/**
 * Composable providing step functionality
 */
declare function useCounter(props: any): {
    decrement: (step: any) => void;
    increment: (step: any) => void;
    update: (next: any) => void;
    valueAsNumber: import("vue").Ref<number>;
    isOutOfRange: import("vue").Ref<boolean>;
    value: import("vue").Ref<string>;
};
export { StackMessage, useClipboard, useCounter, useDisclosure, useElementStack, useEventListener, useId, useIds, useStackContext, useStackProvider, useWindowEvent };
//# sourceMappingURL=index.d.ts.map